Loading...
Searching...
No Matches
Cpt< InGridT, MaskGridType, InterruptT > Class Template Reference

Compute the closest-point transform of a scalar grid. More...

`#include <openvdb/tools/GridOperators.h>`

## Public Types

typedef InGridT | InGridType
typedef ScalarToVectorConverter< InGridT >::Type | OutGridType

## Public Member Functions

| Cpt (const InGridType &grid, InterruptT *interrupt=nullptr)
| Cpt (const InGridType &grid, const MaskGridType &mask, InterruptT *interrupt=nullptr)
OutGridType::Ptr | process (bool threaded=true, bool useWorldTransform=true)

## Detailed Description

template<typename InGridT, typename MaskGridType = typename gridop::ToMaskGrid<InGridT>::Type, typename InterruptT = util::NullInterrupter>
class openvdb::v10_0::tools::Cpt< InGridT, MaskGridType, InterruptT >

Compute the closest-point transform of a scalar grid.

## Member Typedef Documentation

## InGridType

template<typename InGridT, typename MaskGridType = typename gridop::ToMaskGrid<InGridT>::Type, typename InterruptT = util::NullInterrupter>

typedef InGridT InGridType

## OutGridType

template<typename InGridT, typename MaskGridType = typename gridop::ToMaskGrid<InGridT>::Type, typename InterruptT = util::NullInterrupter>

typedef ScalarToVectorConverter<InGridT>::Type OutGridType

## Constructor & Destructor Documentation

## Cpt() [1/2]

template<typename InGridT, typename MaskGridType = typename gridop::ToMaskGrid<InGridT>::Type, typename InterruptT = util::NullInterrupter>

Cpt | ( | const InGridType & | grid,
|  | InterruptT * | interrupt = nullptr )

inline

## Cpt() [2/2]

template<typename InGridT, typename MaskGridType = typename gridop::ToMaskGrid<InGridT>::Type, typename InterruptT = util::NullInterrupter>

Cpt | ( | const InGridType & | grid,
|  | const MaskGridType & | mask,
|  | InterruptT * | interrupt = nullptr )

inline

## Member Function Documentation

## process()

template<typename InGridT, typename MaskGridType = typename gridop::ToMaskGrid<InGridT>::Type, typename InterruptT = util::NullInterrupter>

OutGridType::Ptr process | ( | bool | threaded = true,
|  | bool | useWorldTransform = true )

inline